curl --request POST \
--url https://synthesis.trade/api/v1/account/api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "bot"
}'{
"success": true,
"response": {
"public_key": "pk_...",
"secret_key": "sk_...",
"name": "bot",
"active": true,
"created_at": "2026-01-01T00:00:00",
"updated_at": "2026-01-01T00:00:00"
}
}Create an account secret API key for the authenticated account. This route requires a bearer session.
curl --request POST \
--url https://synthesis.trade/api/v1/account/api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "bot"
}'{
"success": true,
"response": {
"public_key": "pk_...",
"secret_key": "sk_...",
"name": "bot",
"active": true,
"created_at": "2026-01-01T00:00:00",
"updated_at": "2026-01-01T00:00:00"
}
}